Bug 966264 - thin_check hangs if given a non existent dump file to restore from
thin_check hangs if given a non existent dump file to restore from
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-persistent-data (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Thornber
yanfu,wang
:
Depends On:
Blocks: 1006059
  Show dependency treegraph
 
Reported: 2013-05-22 17:45 EDT by Corey Marthaler
Modified: 2014-06-18 01:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006059 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:02:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2013-05-22 17:45:03 EDT
Description of problem:
[root@qalvm-01 ~]# lvs -a -o +devices
  LV           VG            Attr      LSize  Pool Origin Data%  Devices
  POOL         snapper_thinp twi-a-tz-  1.00g               0.00 POOL_tdata(0)
  [POOL_tdata] snapper_thinp Twi-aot--  1.00g                    /dev/vdh1(0)
  [POOL_tmeta] snapper_thinp ewi-aot--  4.00m                    /dev/vde1(0)
  origin       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other1       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other2       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other3       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other4       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other5       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  restore      snapper_thinp Vwi-a-tz-  1.00g POOL origin   0.00

[root@qalvm-01 ~]# strace thin_restore -i file_that_doesnt_exist -o /dev/mapper/snapper_thinp-POOL_tmeta
[...]
open("/dev/mapper/snapper_thinp-POOL_tmeta", O_RDWR) = 3
open("file_that_doesnt_exist", O_RDONLY) = -1 ENOENT (No such file or directory)
[HANGS]

Version-Release number of selected component (if applicable):
3.8.0-0.40.el7.x86_64

lvm2-2.02.99-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
lvm2-libs-2.02.99-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
lvm2-cluster-2.02.99-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
device-mapper-1.02.78-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
device-mapper-libs-1.02.78-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
device-mapper-event-1.02.78-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
device-mapper-event-libs-1.02.78-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013
cmirror-2.02.99-0.34.el7    BUILT: Thu May 16 19:28:08 CDT 2013


How reproducible:
Everytime
Comment 1 Heinz Mauelshagen 2013-09-17 09:59:41 EDT
rhel-7.0.0+ needed to allow for build
Comment 2 Heinz Mauelshagen 2013-09-17 11:12:59 EDT
Build pending.
Comment 7 Ludek Smid 2014-06-13 08:02:10 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.